<mat-toolbar color="accent">
    <span>Agenda Electronica</span>
    <span class="example-spacer"></span>
    <button mat-raised-button color="warn" (click)="openDialog()">
        <span class="material-symbols-outlined">
            add_circle
            </span>
        Agregar cita</button>
</mat-toolbar>


<div class="container">
    <div style="margin-top:10px">

        <mat-form-field appearance="standard">
            <mat-label>Filter</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia" #input>
          </mat-form-field>
          
          <div class="mat-elevation-z8">
            <table mat-table [dataSource]="dataSource" matSort>
          
              <!-- ID Column -->
              <ng-container matColumnDef="Nombre">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>Nombres</th>
                <td mat-cell *matCellDef="let row"> {{row.Nombre}} </td>
              </ng-container>
          
              <!-- Progress Column -->
              <ng-container matColumnDef="Apellido">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Apellidos </th>
                <td mat-cell *matCellDef="let row"> {{row.Apellido}} </td>
              </ng-container>
          
              <!-- Name Column -->
              <ng-container matColumnDef="Celular">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Celular </th>
                <td mat-cell *matCellDef="let row"> {{row.Celular}} </td>
              </ng-container>
          
              <!-- Fruit Column -->
              <ng-container matColumnDef="Fecha">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Fecha </th>
                <td mat-cell *matCellDef="let row"> {{row.Fecha | date}} </td>
              </ng-container>

              <ng-container matColumnDef="Hora">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Hora </th>
                <td mat-cell *matCellDef="let row"> {{row.Hora}} </td>
              </ng-container>

              <ng-container matColumnDef="Desc">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Desc </th>
                <td mat-cell *matCellDef="let row"> {{row.Desc}} </td>
              </ng-container>

              <ng-container matColumnDef="acciones">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> acciones </th>
                <td mat-cell *matCellDef="let row">
                    <button mat-icon-button color="primary" (click)="editDate(row)"><span class="material-symbols-outlined">edit</span>
                    </button>
                    <button mat-icon-button color="warn"> <span class="material-symbols-outlined" (click)="deleteDate(row.id)">delete</span>
                    </button>
                </td>
              </ng-container>

          
              <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
          
              <!-- Row shown when there is no matching data. -->
              <tr class="mat-row" *matNoDataRow>
                <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
              </tr>
            </table>
          
            <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
          </div>

    </div>
</div>
